H-Sphere Linux/FreeBSD Packages PHP 4 Updates

 

Under Private Testing
hsphere-php4-4.4.9-2
hsphere-php4-plugins-4.4.9-2

Improvements and Fixes:

  • Fixed an issue with different mysql client library used on CentOS 4 as compared to CentOS 5.
  • Libraries included into PHP are statically updated to their most recent versions.

Note: check PHP4 update for H-Sphere 3.1+

 

Under testing
hsphere-php4-4.4.9-1
hsphere-php4-plugins-4.4.9-1

Updated:

Note: check PHP4 update for H-Sphere 3.1+

Released with System Packages Update

 

19 Jun 2008
hsphere-php4-4.4.8-4
hsphere-php4-plugins-4.4.8-4

Fixes and improvements:

  • Added missing zend_extensions.h file

Released with System Packages Update

 

23 Jan 2008
hsphere-php4-4.4.8
hsphere-php4-plugins-4.4.8

Fixes and improvements:

Released with System Packages Update

 

08 Jan 2008
hsphere-php4-4.4.7-4
hsphere-php4-plugins-4.4.7-4

Fixes and improvements:

  • Build imap API with SSL support
  • Build SQLLite API with Unicode support
  • Other minor fixes

Released with System Packages Update

 

22 May 2007
hsphere-php4-4.4.7-1
hsphere-php4-plugins-4.4.7-1

Fixes and improvements:

Released with System Packages Update

 

12 Mar 2007
hsphere-php4-4.4.6-1
hsphere-php4-plugins-4.4.6-1

Fixes and improvements:

Released with System Packages Update

 

01 Mar 2007
hsphere-php4-4.4.5-1
hsphere-php4-plugins-4.4.5-1

Fixes and improvements:

Note: A major bug was found in Zend engine for PHP 4.4.5. For this reason we have taken a stable snapshot from PHP 4.4.6-dev recommended for PHP developers.

Released with System Packages Update

 

21 Sep 2006
hsphere-php4-4.4.4-2
hsphere-php4-plugins-4.4.4-2

Fixes and improvements:

  • Added gd php extension missing
  • Misconfiguration in xslt php extension for RHES4 platform
  • Fixed post installation section
  • Added script, which provides check of the php build enviroment

Released with H-Sphere 2.5 Patch 5

 

29 Aug 2006
hsphere-php4-4.4.4-1
hsphere-php4-plugins-4.4.4-1

Fixes and improvements:

Released with H-Sphere System Packages Update

 

16 Aug 2006
hsphere-php4-4.4.3-1
hsphere-php4-plugins-4.4.3-1

Fixes:

  • An offset/length parameter validation error exists in the "substr_compare()" function.
  • An unspecified error exists in the handling of certain characters in session names.
  • An error in the "zend_hash_del_key_or_index()" function when deleting elements can e.g. be exploited to cause the "unset()" function to not unset variables properly.

 

05 Jun 2006
hsphere-php4-4.4.2-3
hsphere-php4-plugins-4.4.2-3

Improvements and Fixes:

  • Increased FD_SETSIZE system parameter
  • Added /hsphere/shared/share/curl/curl-ca-bundle.crt file to provide correct work of php curl SSL extension
  • Updated 3rd party software where security holes were detected:
    - libpng 1.2.8
    - curl 7.15.3

 

19 Jan 2006
hsphere-php4-4.4.2-1
hsphere-php4-plugins-4.4.2-1

Improvements and Fixes:

  • php 4 updated to the latest stable 4.4.2 version

 

 
hsphere-php4-4.4.1_3
hsphere-php4-plugins-4.4.1_3

New package build includes minor fixes of the build environment bugs.

 

 
hsphere-php4-4.4.1-1
hsphere-php4-plugins-4.4.1-1

Improvements and Fixes:

  • php 4 updated to the latest stable 4.4.1 version



See Also:

Packages Since 2.5
H-Sphere PHP Package
PHP4 Updates for HS 3.1 +



Copyright 1998-2008. Positive Software Corporation.
All rights reserved.